Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Attributes | List of all members
faiss::SQDistanceComputer Struct Reference
Inheritance diagram for faiss::SQDistanceComputer:

## Public Attributes
const float * | q
const uint8_t * | codes
size_t | code_size

## Additional Inherited Members
Public Types inherited from faiss::DistanceComputer
using | idx_t = Index::idx_t
Public Member Functions inherited from faiss::DistanceComputer
virtual void | set_query (const float *x)=0
| called before computing distances
virtual float | operator() (idx_t i)=0
| compute distance of vector i to current query
virtual float | symmetric_dis (idx_t i, idx_t j)=0
| compute distance between two stored vectors

## Detailed Description

Definition at line 47 of file IndexScalarQuantizer.cpp.

The documentation for this struct was generated from the following file:

- /data/users/hoss/faiss/IndexScalarQuantizer.cpp